# -*- coding: utf-8 -*-
import heimdall
from lxml import etree


_URL_XMLSCHEMA = 'http://www.w3.org/2001/XMLSchema-instance'
_URL_HERA = 'https://gitlab.huma-num.fr/datasphere/hera/schema/schema.xsd'
_QNAME = etree.QName(_URL_XMLSCHEMA, "schemaLocation")


def create_root():
    return etree.Element('hera', {_QNAME: _URL_HERA})


def empty_db():
    return create_root()


def nearly_empty_db():
    root = create_root()
    etree.SubElement(root, 'properties')
    etree.SubElement(root, 'entities')
    etree.SubElement(root, 'items')
    return root


def single_item_db():
    tree = create_root()
    etree.SubElement(tree, 'items')
    heimdall.createItem(tree, uid='1337', name='shibboleet')
    return tree


def some_items_db():
    tree = create_root()
    heimdall.createItem(tree, value='double')
    heimdall.createItem(tree, eid='entity', uid='101010', value='double')
    heimdall.createItem(tree, uid='1337', name='shibboleet', value='other')
    return tree
